function h = m_plot(varargin)

% M_PLOT Plot objects on an M_MAP plot.   All of the normal
% Matlab plot options are available.  

% USAGE: M_PLOT(LON,LAT,[OPTIONS]) 

% Deirdre Byrne, dbyrne@umeoce.maine.edu 00/06/23
%
% This software is provided "as is" without warranty of any kind.

global MAP_PROJECTION MAP_VAR_LIST

if isempty(MAP_PROJECTION),
  disp('No Map Projection initialized - call M_PROJ first!');
  return;
end;

if nargin < 2;
  help m_plot
  return
end

[x,y] = m_ll2xy(varargin{1},varargin{2});
varargin = varargin(:);
s = size(varargin,1);
h=plot(x,y,varargin{3:s});

%Eli: added a circle at the start of the trajectory instead of the
%arrowheads that didn't seem to work:
%-- determine and remember the hold status, toggle if necessary
if ishold
	myWasHold = 1;
else
	myWasHold = 0;
	hold on;
end
plot(x(1),y(1),'ro');
if ~myWasHold,
	hold off
end

%Eli: if encountering problem with this when plotting all
%trajectories on the same map, comment out these three lines:
%for i=1:10
%  arrowh(x,y,'b',100,10*i);
%end

if nargout == 0
  clear h
end

